> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/docs/resources/meta-business-manager/gst-registration-number.md).

# GST registration number

This page describes how to add your GST number to to your Meta Ads manager which is required for Indian Businesses to send template messaging on the WhatsApp API.

A GST registration number, often called a GSTIN, is a unique 15 digit identifier issued to businesses that register under the Goods and Services Tax system.

Indian businesses must add their GST number to their Meta Ads Manager in order to add payment method to their WABA. Meta won't allow Businesses to add the payment method without a valid GST number and without a payment method you won't be able to send template messages.

You can check your current business information and add your GST registration number (GSTIN) to your account in the Payment settings of Meta Ads Manager.

### Before you begin

* To add your GSTIN to your ad account, you have to be the admin of the ad account.
* Confirm in Payment settings that your ad account's business country is set to India. If it isn't, first change your business country to India.
* Make sure that your GST registration number matches what's in your business registration document. It looks like the following example:

> ![GST registration number example](https://static.xx.fbcdn.net/mci_ab/public/cms/?ab_b=e\&ab_page=CMS\&ab_entry=640512126154467\&version=1754304886)

### Add your GSTIN to your ad account in Ads Manager

To add your GSTIN if you're already a Meta advertiser:

1. Go to [Payment settings](https://www.facebook.com/ads/manager/account_settings/account_billing/) in Ads Manager. If you have multiple ad accounts, select which one you want to work on.
2. In the Business info section, enter your 15-character GST registration number with no spaces or special characters in the GST number field.
3. Click Save.

Your GST registration number is saved to your account.

Note: If you've never advertised on Facebook, Instagram or other Meta technologies before, you have to select the country of your ad account when you create your first Meta ad. If you choose India, you'll be prompted to add your GSTIN before confirming your ad purchase.

{% embed url="<https://www.facebook.com/business/help/1848545052064215?id=287849115238870>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.360dialog.com/docs/resources/meta-business-manager/gst-registration-number.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
